function data = cutChirp(f, point, chirpnum,chirpLen)   

data = f;
window = 1*128;
noverlap = 1*120;
nfft = 1*100*1000;
fs = 1e6;  
f=-0.3E6 :0.01E6 :0.3E6;  

left = point+(chirpnum-1)*chirpLen;
right = point+chirpnum*chirpLen-1;
data = data(left:right);
[S,F,T,P] = spectrogram(data,window,noverlap,f,fs);  %ָƵͼݷΧ
figure(2);
surf(T,F,10*log10(P),'edgecolor','none');
axis tight;
view(0,90);
xlabel('Time (Seconds)'); ylabel('Hz');

