% function [T,F,S,P] = spectrogramFigure(data,figureNum)   
function [T,F,S,P] = spectrogramFigure(data)
window = 1*156;
noverlap = 1*148;
nfft = 200;
fs = 1e6; 
f=-0.5e6:0.001E6 :0.5e6;
[S,F,T,P] = spectrogram(data,window,noverlap,f,fs);  
surf(T,F,10*log10(P),'edgecolor','none');
axis tight;
view(0,90);
xlabel('Time (Seconds)'); ylabel('Hz');
end